:root {
  --lab-background: #1A1423;
  --lab-main: #F6EFA6;
  --lab-accent-1: #8EDCE6;
  --lab-accent-2: #F0D2D1;
}
  
.screen {
  padding: 0.25em !important;
}

html, body {
  background: #1A1423 !important;
}

h1, h2, p {
  color: var(--lab-main);
}

h1 {
  margin-top: 3em;
}

h2 {
  font-family: 'Inter Tight';
  margin: 2em 0 0.5em 0;
}

a {
  color: var(--lab-accent-1) !important;
}

pre {
  color: var(--lab-accent-2) !important;
  text-align: left;
  margin: 0 auto;
  padding-top: 1.5em;
  width: 80%;
  text-overflow: clip;

  border-radius: 12px;

  background: slategray;
}


.track-highlight {
  display: flex;
  width: 60vh;
  border: 3px solid var(--lab-main);
  border-radius: 12px;
  
  margin-bottom: 1em;
}

.track-highlight__music-icon {
  margin: 0 1em;
  width: 2em;
}

.track-highlight__link img {
  width: 2em;
  margin: 0 0.25em;
}

.track-highlight__title {
  max-width: 25em;
  text-align: left;
  
  flex: 1;
  overflow: hidden;
  white-space: nowrap;
}

.track-highlight__feature {
  font-size: 85%;
  border-radius: 8px;
  text-transform: lowercase;
  padding: 0.25em 0.5em;
}

.track-highlight__feature.--topic {
  background: linear-gradient(90deg, var(--lab-accent-1), var(--lab-accent-2));
  color: var(--lab-background) !important;
}

.track-highlight__feature.--forbidden {
  background: crimson;
  color: var(--lab-main);
}


.track-highlight__links {
  min-width: 20%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding: 0 0.5em;
}

.track-highlight__link {
  display: inline-block;
  line-height: 1;
}

.rewards__line {
  display: flex;
  align-items: center;
  gap: 24px;
}

.rewards__line > p {
  width: 12em;
  text-align: left;

  line-height: 1;
}

.rewards__sum {
  font-weight: bolder;
}

.rewards__sum.--next {
  font-weight: normal;
}

.rewards__line .formula {
  display: inline;
  margin: 0;

  font-family: 'Bodoni';
  font-size: 120%;
  color: var(--lab-accent-2);
}

.payouts__items {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;

  gap: 24px;
}

.payouts__item {
  background: var(--lab-main);
  border-radius: 12px;
  width: 25em;

  padding: 1em 2em;

  display: flex;
}

.payouts__item > div {
  flex: 1;
}

.payouts__item p {
  color: var(--lab-background);

  text-align: left;
}

.payouts__right {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.payouts__views {
}

.payouts__watch {
  background: var(--lab-accent-1);
  color: var(--lab-background) !important;

  display: block;
  width: 6rem;
  padding: 0.25rem 0.5rem;

  border-radius: 12px;
}

.payouts__amount {
  font-size: 150%;
  line-height: 1;

  margin-top: 0.5em;
}

.payouts__amount > img {
  width: 20px;

}

.payouts__platforms {
  display: flex;
  width: 100%;
  justify-content: flex-end;
}

.payouts__platform-icon {
  width: 48px;
  display: inline;
}

.payouts__brief {
  text-align: right !important;
  font-size: 85%;

  margin: 0;
}

.--caption {
  font-size: small;
}

.disclaimer {
  text-align: center;
  color: var(--lab-accent-2);
}

@media (max-width: 768px) {
  .screen--fit {
    padding: 0 0.75em !important;
  }

  h2 {
    margin-bottom: 0.5em !important;
  }

  pre {
    width: 100%;
  }
  
  .--caption {
    /* margin: 0 1em */
  }

  .track-highlight > img,
  .track-highlight__link > img {
    width: 1.5em;
  }

  .track-highlight {
    width: 100%;
  }

  .payouts__item {
    width: 100%;
  }
}
